/*
 * CS5App.java -- Text Readability
 *
 * PAIR PROGRAMMING PROBLEM
 *
 * Homework # 6
 * Problem  # 3
 *
 * Name:
 * Date:
 * Time spent:
 *
 * Comments:
 * 
 *
 */

import java.awt.*;

class CS5App
{
    
    public static void main(String[] args)
    {
        H.inputFromFile("../testfile.txt");   // this is the file in Hw6Pr3 being read in
                                              // you may copy ANY text to this file...

        while (true)                 // loop indefinitely
        {
            String w1 = H.nw();      // get one "word" from the file
            H.pl("w1 is " + w1);     // you will want to comment this out eventually
            
            if (w1.equals("END"))    // if the word END is encountered, we quit the loop
                break;
            
            String w2 = dePunct(w1); // this line removes punctuation from w1
            H.pl("w2 is " + w2);     // you will want to comment this out eventually
        }
        
    } // end main
    
    
    
    
    // dePunc removes punctuation from a String
    //
    // input:  any String
    // output: a copy of the original String, with its punctuation removed
    //
    public static String dePunct(String w)
    {
        String dePunctString = "";
        
        // yes, these ranges are right next to each other...
        // but this makes it clear what we're up to
        for (int i=0 ; i<w.length() ; ++i)
        {
            char c = w.charAt(i);
            if (  /* caps  */ ('A' <= c && c <= 'Z') ||
                  /* lower */ ('a' <= c && c <= 'z') )
            {
                dePunctString += c;
            }
        }
        
        return dePunctString;
    }
    
}

